//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CMISdemoProject.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class TblOrderEntryTest
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public TblOrderEntryTest()
        {
            this.TblOrderEntryTest1 = new HashSet<TblOrderEntryTest>();
            this.TblOrderRelatedToMappingTests = new HashSet<TblOrderRelatedToMappingTest>();
        }
    
        public long Id { get; set; }
        public Nullable<int> OrderType { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }
        public Nullable<int> Department { get; set; }
        public Nullable<int> DepartmentAffected { get; set; }
        public string ReferencesLink { get; set; }
        public string TitleIsPublicOrCUG { get; set; }
        public string TitleIsGOROrGOI { get; set; }
        public string OrderNo { get; set; }
        public Nullable<long> RelatedOrderNo { get; set; }
        public Nullable<int> RelatedScheme { get; set; }
        public Nullable<int> Category { get; set; }
        public string SearchText { get; set; }
        public Nullable<int> Sector { get; set; }
        public string DocumentUrl { get; set; }
        public Nullable<System.DateTime> DateOfEntry { get; set; }
        public Nullable<System.DateTime> DateofIssue { get; set; }
        public Nullable<System.DateTime> OrderDate { get; set; }
    
        public virtual tblDepartmentMaster tblDepartmentMaster { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<TblOrderEntryTest> TblOrderEntryTest1 { get; set; }
        public virtual TblOrderEntryTest TblOrderEntryTest2 { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<TblOrderRelatedToMappingTest> TblOrderRelatedToMappingTests { get; set; }
    }
}
